#ifndef __PALMFEATURETABLEMODEL_H__
#define __PALMFEATURETABLEMODEL_H__

#include "DataStructure.h"
#include <QAbstractTableModel>

class PalmFeatureTableModel : public QAbstractTableModel {
    Q_OBJECT
public:
    PalmFeatureTableModel(QObject *parent = nullptr);
    int rowCount(const QModelIndex &parent = QModelIndex()) const final;
    int columnCount(const QModelIndex &parent = QModelIndex()) const final;
    QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const final;

private:
    PalmFeatures m_features;
};

#endif // __PALMFEATURETABLEMODEL_H__
